Is there any way using NXOpen to print to file (using an installed plotter, in my case an HPGL. i.e. I don't want to generate a CGM or tiff file, I want to create an HPGL file which I can do manually using an installed plotter and printing to file)?
Thanks
Is there a way to open an excel spreadsheet from a VB.net journal without having to specify the executable path for the excel program (i.e. I just want to open a workbook from a journal without knowing where the excel exe is stored)?
Thanks.
I'm trying to write a journal that I can run from the command line which will open a part and export an image of the part as a jpg. But I want it to run without having to open a UG window (i.e. run in the background, I don't want to see the parts being processed). I can do this with a journal...
In NXOpen, let's say you have a component 'c' which is part of a multi-level assembly. When using the assembly navigator, you can 'Pack All' and it will group identical components together in each sub-assembly and put a 'x 2', or whatever, indicating how many of those components are in a...
Does anyone know an easy way using NXOpen to get all the components in an assembly (including subassemblies) saved to an array? I like to sort the assembly tree in descending order and then export it to a spreadsheet. I would ideally like to get that same structure/order, but I need it in...
I'm trying to get the extreme X and Y coordinates of an assembly using NXOpen. Essentially, I'm rotating the assembly about the Z axis one degree at a time and each time I need to get the X and Y limits of the assembly (in the absolute CSYS). Right now I'm using UFModl.AskBoundingBox to do...
Thanks jpetach. But do you know if there is a function which will take in the value of the expression and output the tag (I want to be able to easily input a value for the clearance zone)?
Hi,
I'm using NXOpen to check some assembly clearances. I'd like to set the default clearance zone (say, 5mm) for the assembly clearance using the UFClear.SetDefaultClearanceZone method. The problem is, the clearance zone argumenat this method accepts is a tag object. How do I know what the...
Also along these lines, right now I check to see if something is a body in NXOpen by using:
b.issolidbody (where b is type body).
Can anyone tell me how to find out if the body is a faceted body
Well I would try with solids and factes and see how each works out, but the problem is figuring out the coding for setting these options and calling the clearance check function.
Does anyone know the NXOpen .NET nomenclature for creating an assembly clearance set which has a facet based analysis and then run the clerance analysis on that set and output whether or not there is interference (no details, just go-no go)?
Thanks.
John,
Thanks. I toggled that option on but I'm still getting the same result. I guess what I really want to do is create a clearance set and set the properties to make the analysis mode facet based and then run a clearance check on that set using NXOPEN but I don't know the coding.
I'm trying to do a simple assembly clerarance check on an assembly with two components in NX7.5. I want to do this as a lightweight assembly since the components are big. But for some reason, once there are no interferences (I move the components completely apart), it finds that everything...
I think my issue is that I want to choose an external reference. I want to be able to pick any line on any part and automatically have a hole placed at one end of the line and a slot placed on the other. The size of the hole and slot would be UDF parameters, but I want the spacing and...
Thanks for the replies. I tried to include the line as a reference but maybe I'm not doing it right. I have a sketch as shown in the attached picture with the hole, slot and reference line. I then extrude this sketch to make the hole and the slot. When I make the UDF, I try giving it 3...
Hello,
I'm trying to figure out how to make a UDF in NX (5.0.6.3)that makes a hole and slot which lie on the same axis on a plane. I know how to make it so I can define the slot and hole sizes, but I want to be able to select a line on a face and then have the hole placed at on end of the line...
Hi,
On the drawings where I work we have a general tolerance called out for the posiition of non-circular features of size. Normally, this is a rectangular tolerance zone but the plant has asked me to make this tolerance zone cylindrical. Does anyone know if this is forbidden at all by the...